[CentOS-devel] Why are Spacewalk packages removed from CentOS?

Dag Wieers dag at wieers.com
Wed Feb 10 21:55:49 UTC 2010


On Tue, 9 Feb 2010, Marcus Moeller wrote:

>> This conversation has gone past 2 full loops now. The only issue, as far
>> as I can tell, not cleared up is that can packages in the stock EL4 and
>> EL5 srpm tree be used against spacewalk 0.6 and 0.7 ?
>>
>> They might be 'outdated' in that perhaps all features may not be
>> present, but is there an issue of these packages not being usable at all
>> due to an api incompatibility ?
>
> Not now, but maybe in upcoming releases of Spacewalk.
>
> Spacewalk is meant to be used with the Spacewalk client tools, not the RHE ones.

Marcus,

Could we please wait to hear this confirmed by someone from the Spacewalk 
development community ? You may or may not know that what Red Hat ships 
and is called Red Hat Network Satellite, is in fact using spacewalk 
packages, and a seperate RHN package that rebrands Spacewalk.

So I would seriously doubt that Red Hat would break compatibility with 
Spacewalk in their own product. What's more, even if up2date/yum-rhn would 
break in a future product release, it would still allow people to choose 
whether to use a compatible Spacewalk release or not.

In my opinion, if CentOS wants to be compatible with RHEL, it needs to be 
compatible even in the parts that may or may not be useful to its users. 
Let the users decide whether it is useful to them or not, even if the 
majority will never use Spacewalk.

-- 
--   dag wieers,  dag at wieers.com,  http://dag.wieers.com/   --
[Any errors in spelling, tact or fact are transmission errors]


More information about the CentOS-devel mailing list